Bug 1021008 - rules-camel-cbr SwitchYard quickstart does not write logging information to console or server log
rules-camel-cbr SwitchYard quickstart does not write logging information to c...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Keith Babo
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 14:34 EDT by Len DiMaggio
Modified: 2014-06-16 19:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1791 Major Closed log4j xml is ignored in QS tests 2014-06-16 19:53:46 EDT

  None (edit)
Description Len DiMaggio 2013-10-18 14:34:23 EDT
Description of problem:

The logging statements in the quickstart to not actually generate any user-visible output.

The tests are run without having to deploy the quickstart to the server - I'm guessing that the logging code was copied from other quickstarts which are actually deployed to the server.

To have the quickstart create user-visible output, we can either change the logging statements to println's, or add this to the Red/Green/BlueServiceBean classes:

    	BasicConfigurator.configure();
    	LOGGER.setLevel(Level.INFO);

Version-Release number of selected component (if applicable):
ER6

How reproducible:
100%

Steps to Reproduce:
1. Run the quickstart 
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jiri Pechanec 2013-12-13 07:55:31 EST
Verified in ER7
Comment 2 JBoss JIRA Server 2014-06-16 19:53:47 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1791 to Closed

Note You need to log in before you can comment on or make changes to this bug.